commit:     80cb21a2022f74914e1f446890ca5dc3c9b8706e
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Wed May  4 20:30:38 2016 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Wed May  4 20:30:57 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80cb21a2

dev-libs/libressl: version bump to 2.2.7 and 2.3.4

Package-Manager: portage-2.2.26

 dev-libs/libressl/Manifest              |  2 ++
 dev-libs/libressl/libressl-2.2.7.ebuild | 47 ++++++++++++++++++++++++++++++
 dev-libs/libressl/libressl-2.3.4.ebuild | 51 +++++++++++++++++++++++++++++++++
 3 files changed, 100 insertions(+)

diff --git a/dev-libs/libressl/Manifest b/dev-libs/libressl/Manifest
index 666ccab..84c965a 100644
--- a/dev-libs/libressl/Manifest
+++ b/dev-libs/libressl/Manifest
@@ -1,2 +1,4 @@
 DIST libressl-2.2.6.tar.gz 2965531 SHA256 
1ee19994cffd047d40f63ba149115dba18a681b0cc923beec301bf424b58d64f SHA512 
41e29431ad9e8b18e2dbc30fe9df1d7be3ca372d5d7757b5b01f8904515bafd5333446957fbc9874f64f384dae56cf6bf29d6808a7c0df1836b55ea64804a4bf
 WHIRLPOOL 
49b6efa211ea4789e51388d3ebfec941dfedad427b806b33d439a7639e09d16e5c9004edc4a4c8e3de63040ebc2fe0a3a3819c68ed674e3bb36bb52b49e75ce5
+DIST libressl-2.2.7.tar.gz 2958862 SHA256 
7e2c68b383bba8efb7dce5ea1eccfda77048547d1d2a7355c072efd7ccd893cd SHA512 
562394e84903c5b121da21cb3f45744df80b06d8717efc5567a6f663d1dcb8dd2bf505db7ab78ea83c9223a62c1bc541bf6c905720d73410bff352a63f5f8fc1
 WHIRLPOOL 
5c4eadba9e1e46573ac07edeaf01a7c203877cbfedce7abdf618dfa4fe034420d0a1bac09c08190cf24a8c591ec6f1f7452ad5c0f7b5164b42500c0766a3dca4
 DIST libressl-2.3.3.tar.gz 3019069 SHA256 
76733166187cc8587e0ebe1e83965ef257262a1a676a36806edd3b6d51b50aa9 SHA512 
5b8003af0f6fd049de7d36cdda5b3e0b7e58aeef92455806f3927094fd63edb6281e827b8d237907b455d754a2be913682b1dd954a71873941117d082842f59e
 WHIRLPOOL 
b99f3585fef4e9ceaf0ce9f0cf2877e48c3be5f6b649a07c2ae235bc6b1c0835c9c9d7528135dd17cb3bfe9b353618de4d40915e573df6e93b79a2b612bc67c7
+DIST libressl-2.3.4.tar.gz 3013286 SHA256 
7a1135b2620f78928e89538c211a4df1d9415994001d1e7c9178c6b6d72de6a9 SHA512 
468531303df47d52f06402db527737361e45424562e614e7575ba287ebfff9804f73c080d2f7530e26e483cd4245c131c2dd63a9509ec6646585c49f84411739
 WHIRLPOOL 
c5afa71f9b9106cdc46a256e9e46c9bbd81e87427d570e05866074290406743303047a9e61f16b7cfa576e4e6ee1f369062c05767856f08c166b50db9cec6537

diff --git a/dev-libs/libressl/libressl-2.2.7.ebuild 
b/dev-libs/libressl/libressl-2.2.7.ebuild
new file mode 100644
index 0000000..1dcdc69
--- /dev/null
+++ b/dev-libs/libressl/libressl-2.2.7.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib-minimal
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="http://www.libressl.org/";
+SRC_URI="http://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz";
+
+LICENSE="ISC openssl"
+SLOT="0/35" # reflects ABI of libcrypto.so and libssl.so
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~x86"
+IUSE="+asm static-libs"
+
+RDEPEND="!dev-libs/openssl:0"
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+       touch crypto/Makefile.in
+       sed -i \
+               -e '/^[ \t]*CFLAGS=/s#-g ##' \
+               -e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+               -e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+               -e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+               -e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+               -e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+               configure || die "fixing CFLAGS failed"
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               $(use_enable asm) \
+               $(use_enable static-libs static)
+}
+
+multilib_src_test() {
+       emake check
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       prune_libtool_files
+}

diff --git a/dev-libs/libressl/libressl-2.3.4.ebuild 
b/dev-libs/libressl/libressl-2.3.4.ebuild
new file mode 100644
index 0000000..f65fed5
--- /dev/null
+++ b/dev-libs/libressl/libressl-2.3.4.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib-minimal
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="http://www.libressl.org/";
+SRC_URI="http://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz";
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so.  Since these can differ,
+# we'll try to use the max of either.  However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/38"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~x86"
+IUSE="+asm static-libs"
+
+RDEPEND="!dev-libs/openssl:0"
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+       touch crypto/Makefile.in
+
+       sed -i \
+               -e '/^[ \t]*CFLAGS=/s#-g ##' \
+               -e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+               -e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+               -e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+               -e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+               -e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+               configure || die "fixing CFLAGS failed"
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               $(use_enable asm) \
+               $(use_enable static-libs static)
+}
+
+multilib_src_test() {
+       emake check
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       prune_libtool_files
+}

Reply via email to